#
# spec file for package bitlbee-discord
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bitlbee-discord
Version:        0.4.3+7.g607f988
Release:        bp155.2.14
Summary:        Bitlbee plugin for Discord
License:        GPL-2.0-only
URL:            https://github.com/sm00th/bitlbee-discord
Source:         %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bitlbee)

%description
Bitlbee plugin for Discord.

%prep
%setup -q

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/bitlbee/discord.la

%files
%license LICENSE
%doc README.md
%dir %{_libdir}/bitlbee
%{_libdir}/bitlbee/discord.so
%{_datadir}/bitlbee/discord-help.txt

%changelog
* Mon Oct  4 2021 mia@0x0.st
- Update to version 0.4.3+7.g607f988:
  * Fix empty gateway->path with glib > 2.68
  * Additional debuginfo on websocket upgrade
* Thu Sep  9 2021 mia@0x0.st
- Update to version 0.4.3+5.g068ed17:
  * Basic implementation of discord's replies
  * Update README.md
  * Update and rename README to README.md
  * Add verbosity toggle
* Fri Apr 10 2020 mia@0x0.st
- Update to version 0.4.3+0.g9466079:
  * Correct command in README
* Tue Feb 11 2020 9+suse@cirno.systems
- Update to version 0.4.2+20200207.g69e16be:
  * Call imcb_connected only after we parsed the whole READY message
  * Sync private groups as well
  * Per-channel sync
  * Remove pending sync var
  * Don't wait for GUILD_SYNC on login
  * Add BITLBEE_LIBS to discord_la_LDFLAGS
  * Fix paste_buffer
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Mon Dec  3 2018 9+suse@cirno.systems
- Update to version 0.4.2
  This release contains mostly fixes to catch up with recent
  changes in the way discord operates plus a couple of new
  convenience options.
* Tue Jan  9 2018 9@cirno.systems
- Switch to 0.4.1 release tarball, remove _service files
  * Allow getting backlog of private messages
  * Fix use-after-free on OPCODE_RECONNECT/INVALID_SESSION
* Fri Dec 29 2017 9@cirno.systems
- Update to version 0.1514391956.6a03db1:
  * Don't send acks on old messages
  * Handle rate limiting
  * Add a function to send raw http requests
  * Update away handlers
  * Bump plugin version
  * Group DMs don't really have topics
  * Group DMs (fixes #54)
  * imcb_log on reconnect opcode
  * respond to heartbeats and obey reconnect requests
  * additional unhandled events
  * Fix lastmsg/lastread logic
  * Convert custom emoji to the code and URL
  * Friendship mode
  * Read all available data from the SSL buffer
  * login message: wrong password
  * Enable self messages
  * Don't fail to login when no servers exist
  * Add 'help discord'
  * discord_ws_send_payload: fixup char casting
  * discord-websockets: fix implicit int to gchar cast
  * discord-websockets: fix some warnings
  * Fix lingering writable event source
  * Make server_prefix_len truncate by utf8 characters instead of bytes
  * Use proper conversion specifiers in prints (fixes segfaults)
* Wed Mar  1 2017 okurz@suse.com
- Update to version 0f0485e:
  * Add a fake "guild" for global frineds.
  * Fix imcb_error format.
  * Add a debug option to configure.
  * Don't allow backlog fetches with limit < 1.
  * Debugging updates.
  * Make sure chan names are unique.
  * Remove bci from chatlist on channel deletion.
  * Add fetch_pinned option.
  * Detect (un)pins properly.
  * Report "email" errors on login.
* Wed Mar  1 2017 okurz@suse.com
- Initial package based on 0f0485e as there are no upstream releases
